Search documentation of ash

# mix ash.generate_policy_charts (ash v3.4.71)

View Source

Generates a Mermaid Flow Chart for a given resource's policies.

## Prerequisites

This mix task requires the Mermaid CLI to be installed on your system.

See https://github.com/mermaid-js/mermaid-cli

## Command line options

- `--only` - only generates the given Flow file
- `--format` - Can be set to one of either:
  - `plain` - Prints just the mermaid output as text. This is the default.
  - `md` - Prints the mermaid diagram in a markdown code block.
  - `svg` - Generates an SVG
  - `pdf` - Generates a PDF
  - `png` - Generates a PNG

# Summary

## Functions

run(argv)

Generates a Mermaid Flow Chart for a given resource's policies.

# Functions

# run(argv)

Generates a Mermaid Flow Chart for a given resource's policies.